View Javadoc

    1   /*
    2    * Copyright  2000-2004 The Apache Software Foundation
    3    *
    4    *  Licensed under the Apache License, Version 2.0 (the "License");
    5    *  you may not use this file except in compliance with the License.
    6    *  You may obtain a copy of the License at
    7    *
    8    *      http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   *  Unless required by applicable law or agreed to in writing, software
    11   *  distributed under the License is distributed on an "AS IS" BASIS,
    12   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13   *  See the License for the specific language governing permissions and
    14   *  limitations under the License.
    15   *
    16   */
    17  package org.apache.bcel.generic;
    18
    19  /***
    20   * Super class for stack operations like DUP and POP.
    21   *
    22   * @version $Id: StackInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
    23   * @author  <A HREF="mailto:m.dahm@gmx.de">M. Dahm</A>
    24   */
    25  public abstract class StackInstruction extends Instruction {
    26
    27      /***
    28       * Empty constructor needed for the Class.newInstance() statement in
    29       * Instruction.readInstruction(). Not to be used otherwise.
    30       */
    31      StackInstruction() {
    32      }
    33
    34
    35      /***
    36       * @param opcode instruction opcode
    37       */
    38      protected StackInstruction(short opcode) {
    39          super(opcode, (short) 1);
    40      }
    41
    42
    43      /*** @return Type.UNKNOWN
    44       */
    45      public Type getType( ConstantPoolGen cp ) {
    46          return Type.UNKNOWN;
    47      }
    48  }